from setuptools import setup, find_packages

setup(
    name='embedprepro',
    version='0.12',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author_email='elmajjodi.abdeljalil@gmail.com',
    url='https://github.com/Elma-dev/embedprepro-lib.git/',
    packages=find_packages(),
    install_requires=[
        "certifi==2024.2.2",
        "charset-normalizer==3.3.2",
        "click==8.1.7",
        "contourpy==1.2.1",
        "cycler==0.12.1",
        "filelock==3.14.0",
        "fonttools==4.52.1",
        "fsspec==2024.5.0",
        "huggingface-hub==0.23.1",
        "idna==3.7",
        "Jinja2==3.1.4",
        "joblib==1.4.2",
        "kiwisolver==1.4.5",
        "llvmlite==0.42.0",
        "MarkupSafe==2.1.5",
        "matplotlib==3.9.0",
        "mpmath==1.3.0",
        "networkx==3.3",
        "numba==0.59.1",
        "numpy==1.26.4",
        "packaging==24.0",
        "pandas==2.2.2",
        "pillow==10.3.0",
        "pynndescent==0.5.12",
        "pyparsing==3.1.2",
        "python-dateutil==2.9.0.post0",
        "pytz==2024.1",
        "PyYAML==6.0.1",
        "regex==2024.5.15",
        "requests==2.32.2",
        "safetensors==0.4.3",
        "scikit-learn==1.5.0",
        "scipy==1.13.1",
        "sentence-transformers==2.7.0",
        "six==1.16.0",
        "sympy==1.12",
        "threadpoolctl==3.5.0",
        "tokenizers==0.19.1",
        "torch==2.2.2",
        "tqdm==4.66.4",
        "transformers==4.41.1",
        "typing_extensions==4.12.0",
        "tzdata==2024.1",
        "umap-learn==0.5.6",
        "urllib3==2.2.1"
    ],
    entry_points={
        'console_scripts': [
            'embedprepro=preprocessing.cli:cli',
        ],
    },
)
